Subject: Re: Installing Linux (any flavor so long as it's accessible) to a 2012 Mac mini?

From: Ryan Petris via PLUG-discuss <[email-masked]>
Date: Mon, 14 Apr 2025 01:39:19 -0700

That might be possible but I'd be willing to bet that a CPU from 2012 is missing some necessary instructions for the newest version of MacOS to run properly. That said I think the newest Intel CPU to ever make it into a Mac was 9th-gen Intel i-series, and a Mac circa 2012 should have a 3rd-gen i-series CPU, so maybe it's not that far off.

Also, it's days are numbered using the patches you're describing as well because soon Apple is going to stop releasing x86 versions of MacOS and then "hackintosh"-ing and forcing new versions of MacOS on older machines will be done/gone as we know it today other than maybe for retro purposes. But even then, so many things on newer MacOS releases rely on updated certificates that it will, likely within a few years if not early, start degrading to the point where nothing will run without rolling the clock back. The latest version that will likely continue to work in perpetuity would be 10.6 Snow Leopard or earlier.

On Sun, Apr 13, 2025, at 9:04 PM, Rusty via PLUG-discuss wrote:
> On the other hand, I found a thing which can patch a Mac to install a newer macos . It worked on my old MacBook pro. I'll dig up the info if anyone is interested
> 
> 
> On April 13, 2025 6:48:09 PM MST, Ryan Petris via PLUG-discuss <[email-masked]> wrote:
>> What research have you done on your own for this? I don't mind helping however I spent about 5 seconds Googling linux on a 2012 mac mini and found what you're likely looking for...
>> 
>> Unless you've gotten the model year wrong, it appears that it's a 64-bit machine with 64-bit efi, so it should be able to boot/run literally any x86_64 linux distribution that exists today.
>> 
>> On Sun, Apr 13, 2025, at 6:20 PM, Eric Oyen via PLUG-discuss wrote:
>>> Hello everyone.
>>> 
>>> Ok, the subject pretty much states the problem. Now, I have been doing some research on this and have discovered that this isn’t as apparently easy as it would sound. The firmware in the device is an apple branded firmware, which might need modification or complete replacement in order to install Linux.
>>> 
>>> Much of the research points to several facts:
>>> 1. You can install on bare hardware, but the chances of a crash are pretty good
>>> 2. May require setting up a custom boot loader
>>> 3. Might require a base installation of OS X to maintain usability as an apple device (no further updates possible as this device was end of life as of November 2019.
>>> 
>>> It’s a good machine with some usable parts (cpu, ram, SSD, etc) and I would hate to have to toss a perfectly working piece of hardware in the dumpster (thus contributing to the 2.2 Billion Metric tons of E-waste annually).
>>> 
>>> The unfortunate problem I have is that some methods definitely require visual assistance to carry off and not all distributions will work without some heavy modifications and 3rd party device support (namely the wifi and the graphics interfaces).
>>> 
>>> I might need some visual assistance with this at some point (like during the next plug meeting perhaps?). Anyway, let me know if anyone is willing to help.
>>> 
>>> -Eric
>>> From the Central Offices of the Technomage Guild, Service request Dept.
>>> 
>>> ---------------------------------------------------
>>> PLUG-discuss mailing list: [email-masked]
>>> To subscribe, unsubscribe, or to change your mail settings:
>>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>>> 
>> 
> -- 
> Sent from my Android device with K-9 Mail. Please excuse my brevity.
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
> 
---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss